Changeset 61375 in spip-zone


Ignore:
Timestamp:
May 17, 2012, 8:27:30 PM (10 years ago)
Author:
cedric@…
Message:

securite a la restauration : reparer les impt sur les version de base spip et plugins avant de restaurer

Location:
_core_/plugins/dump
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • _core_/plugins/dump/base/restaurer.php

    r60303 r61375  
    6060                        $res = base_copier_tables($status_file, $status['tables'], 'dump', '', $options);
    6161                }
     62                else {
     63                        // mais on en profite pour reparer les version base pour etre sur de ne pas les perdre
     64                        sql_updateq("spip_meta",array('impt'=>'oui'),"nom='version_installee'",'','dump');
     65                        sql_updateq("spip_meta",array('impt'=>'oui'),"nom LIKE '%_base_version'",'','dump');
     66                }
    6267               
    6368                echo ( "</div>\n");
  • _core_/plugins/dump/paquet.xml

    r60303 r61375  
    22        prefix="dump"
    33        categorie="maintenance"
    4         version="1.6.5"
     4        version="1.6.6"
    55        etat="stable"
    66        compatibilite="[3.0.0-dev;["
Note: See TracChangeset for help on using the changeset viewer.